spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Public Types | Public Member Functions | List of all members
tlyy::parser Class Reference

A Bison parser. More...

`#include <spot/parsetl/parsetl.hh>`

Collaboration diagram for tlyy::parser:

## Classes
struct | basic_symbol
struct | by_type
| Type access provider for token (enum) based symbols. More...
union | semantic_type
| Symbol semantic values. More...
struct | syntax_error
| Syntax errors thrown from user actions. More...
struct | token
| Tokens. More...

## Public Types
typedef spot::location | location_type
| Symbol locations. More...
typedef token::yytokentype | token_type
| (External) token type, as returned by yylex. More...
typedef int | symbol_number_type
| Internal symbol number. More...
typedef unsigned char | token_number_type
| Internal symbol number for tokens (subsumed by symbol_number_type). More...
typedef basic_symbol< by_type > | symbol_type
| "External" symbols: returned by the scanner. More...
typedef int | debug_level_type
| Type for debugging levels. More...

## Public Member Functions
| parser (spot::parse_error_list &error_list_yyarg, spot::environment &parse_environment_yyarg, spot::formula &result_yyarg)
| Build a parser object. More...
virtual int | parse ()
std::ostream & | debug_stream () const
| The current debugging stream. More...
void | set_debug_stream (std::ostream &)
| Set the current debugging stream. More...
debug_level_type | debug_level () const
| The current debugging level. More...
void | set_debug_level (debug_level_type l)
| Set the current debugging level. More...
virtual void | error (const location_type &loc, const std::string &msg)
void | error (const syntax_error &err)
| Report a syntax error. More...

## Detailed Description

A Bison parser.

## Member Typedef Documentation

typedef int tlyy::parser::debug_level_type

Type for debugging levels.

typedef spot::location tlyy::parser::location_type

Symbol locations.

typedef int tlyy::parser::symbol_number_type

Internal symbol number.

typedef basic_symbol<by_type> tlyy::parser::symbol_type

"External" symbols: returned by the scanner.

typedef unsigned char tlyy::parser::token_number_type

Internal symbol number for tokens (subsumed by symbol_number_type).

typedef token::yytokentype tlyy::parser::token_type

(External) token type, as returned by yylex.

## Constructor & Destructor Documentation

tlyy::parser::parser | ( | spot::parse_error_list & | error_list_yyarg,
|  | spot::environment & | parse_environment_yyarg,
|  | spot::formula & | result_yyarg
| ) |  |

Build a parser object.

## Member Function Documentation

debug_level_type tlyy::parser::debug_level | ( |  | ) | const

The current debugging level.

std::ostream& tlyy::parser::debug_stream | ( |  | ) | const

The current debugging stream.

virtual void tlyy::parser::error | ( | const location_type & | loc,
|  | const std::string & | msg
| ) |  |
| virtual

Report a syntax error.

Parameters

  loc | where the syntax error is found.
  msg | a description of the syntax error.

void tlyy::parser::error | ( | const syntax_error & | err | ) |

Report a syntax error.

virtual int tlyy::parser::parse | ( |  | ) |
| virtual

Parse.

Returns
  0 iff parsing succeeded.

void tlyy::parser::set_debug_level | ( | debug_level_type | l | ) |

Set the current debugging level.

void tlyy::parser::set_debug_stream | ( | std::ostream & |  | ) |

Set the current debugging stream.

The documentation for this class was generated from the following file:

- spot/parsetl/parsetl.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.